@media (min-width: 768px) {
    .right-aligned {
    	float: right;
    	padding-right: 10px;
    }
}

.center-aligned {

}

#hide-label-container > label:nth-child(1) {
    display: none;
}

.hide-label-container > label:nth-child(1) {
    display: none;
}

.remove-padding-label > label:nth-child(1) {
    padding: 0px 0px !important;
    width: 100% !important;
    text-align: center !important;
    display: block;
}

.remove-padding-label > div {
    width: 100% !important;
    display: flex;
    justify-content: center;
}

.remove-padding-label {
    display: flex;
    flex-direction: column;
}

#hide-label-container2 > label:nth-child(1) {
    display: none;
}

#hide-label-container2 > div:nth-child(2) {
    margin: 0 !important;
}

.desc-max-width-label {
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 10px;
}

#hide-label-container #unhide-label{
    display: block;
}

#hide-label-container-no-padding #unhide-label{
    display: block;
    padding: 0px 0px !important;
    margin: 0 !important;
}

#hide-label-container-no-padding label {
    display: none;
}

#hide-label-container-no-padding * {
    padding: 0px 0px !important;
    margin: 0 !important;
}


#hide-label-container #data-orderRemark{
    display: block;
}

@media (max-width: 768px) {
    #addTable-set_order th, 
    #addTable-set_order td {
        padding: 1px 2px !important;
    }
    #addTable-set_order td * {
        margin: 0 !important;
        max-width: 100%;    
    }
    #addTable-set_order_wrapper > div:nth-child(1),
    #addTable-set_order_wrapper > div:nth-child(3){
        display: none;
    }
    #addTable-set_gift th, 
    #addTable-set_gift td {
        padding: 1px 2px !important;
    }
    #addTable-set_gift td * {
        margin: 0 !important;
        max-width: 100%;    
    }
    #addTable-set_gift_wrapper > div:nth-child(1),
    #addTable-set_gift_wrapper > div:nth-child(3){
        display: none;
    }
    #addTable-set_gift_done th, 
    #addTable-set_gift_done td {
        padding: 1px 2px !important;
    }
    #addTable-set_gift_done td * {
        margin: 0 !important;
        max-width: 100%;    
    }
    #addTable-set_gift_done_wrapper > div:nth-child(1),
    #addTable-set_gift_done_wrapper > div:nth-child(3){
        display: none;
    }

    .right-aligned {
        float: right; 
    }
}

@media (max-width: 400px) {
  .col-xs-6 {
      flex: 0 0 50%;
      max-width: 50%;
  }
}

.switchBar {
  position: relative;
  display: inline-block;
  width: 50px !important;
  height: 25px !important;
}

.switchBar input {
  opacity: 0;
  width: 0;
  height: 0;
}

.sliderBar {
  position: absolute !important;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  transition: 0.4s;
  border-radius: 25px;
}

.sliderBar:before {
  position: absolute;
  content: "";
  height: 18px;
  width: 18px;
  left: 4px;
  bottom: 3.5px;
  background-color: white;
  transition: 0.4s;
  border-radius: 50%;
}

input:checked + .sliderBar{
  background-color: #c70000;
}

input:checked + .sliderBar:before {
  transform: translateX(24px);
}

